Package org.linphone.core

# Class CallListenerStub

java.lang.Object
org.linphone.core.CallListenerStub

All Implemented Interfaces:
  `CallListener`

public class CallListenerStub extends Object implements CallListener

## Constructor Summary

Constructors
Constructor
Description
`CallListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAckProcessing(Call call, Headers ack, boolean isReceived)`
Get the ACK processing callback.
`void`
`onAudioDeviceChanged(Call call, AudioDevice audioDevice)`
Get the audio device changed callback.
`void`
`onAuthenticationTokenVerified(Call call, boolean verified)`
Get the authentication token verified callback.
`void`
`onBaudotDetected(Call call, BaudotStandard standard)`
Get the Baudot detected callback.
`void`
`onCameraNotWorking(Call call, String cameraName)`
Get the camera not working callback.
`void`
`onDtmfReceived(Call call, int dtmf)`
Get the dtmf received callback.
`void`
`onEncryptionChanged(Call call, boolean on, String authenticationToken)`
Get the encryption changed callback.
`void`
`onGoclearAckSent(Call call)`
Get the GoClear Ack sent callback.
`void`
`onHeadsetAnswerCallRequested(Call call)`
Get the headset answer call requested callback.
`void`
`onHeadsetEndCallRequested(Call call)`
Get the headset end call requested callback.
`void`
`onHeadsetHoldCallRequested(Call call)`
Get the headset hold call requested callback.
`void`
`onHeadsetMicrophoneMuteToggled(Call call, boolean mute)`
Get the headset microphone mute toggled callback.
`void`
`onHeadsetRejectCallRequested(Call call)`
Get the headset reject call requested callback.
`void`
`onHeadsetResumeCallRequested(Call call)`
Get the headset resume call requested callback.
`void`
`onInfoMessageReceived(Call call, InfoMessage message)`
Get the info message received callback.
`void`
`onMediaEncryptionStatusChanged(Call call, MediaEncryptionStatus status)`
Get the media encryption status changed callback.
`void`
`onNextVideoFrameDecoded(Call call)`
Get the next video frame decoded callback.
`void`
`onReceiveMasterKeyChanged(Call call, String receiveMasterKey)`
Get the receive master key changed callback.
`void`
`onReferRequested(Call call, Address referTo)`
Get the refer requested callback.
`void`
`onRemoteRecording(Call call, boolean recording)`
Get the call remote recording callback.
`void`
`onSecurityLevelDowngraded(Call call)`
Get the security level downgraded callback.
`void`
`onSendMasterKeyChanged(Call call, String sendMasterKey)`
Get the send master key changed callback.
`void`
`onSnapshotTaken(Call call, String filePath)`
Get the snapshot taken callback.
`void`
`onStateChanged(Call call, Call.State state, String message)`
Get the state changed callback.
`void`
`onStatsUpdated(Call call, CallStats stats)`
Get the stats updated callback.
`void`
`onTmmbrReceived(Call call, int streamIndex, int tmmbr)`
Get the TMMBR received callback.
`void`
`onTransferStateChanged(Call call, Call.State state)`
Get the transfer state changed callback.
`void`
`onVideoDisplayErrorOccurred(Call call, int errorCode)`
Get the callback that will be used to notify that there are errors from the
video rendering.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallListenerStub

public CallListenerStub()

## Method Details

### onDtmfReceived

public void onDtmfReceived(Call call, int dtmf)
Description copied from interface: `CallListener`
Get the dtmf received callback.

Specified by:
  `onDtmfReceived` in interface `CallListener`

### onGoclearAckSent

public void onGoclearAckSent(Call call)
Description copied from interface: `CallListener`
Get the GoClear Ack sent callback.

Specified by:
  `onGoclearAckSent` in interface `CallListener`

### onSecurityLevelDowngraded

public void onSecurityLevelDowngraded(Call call)
Description copied from interface: `CallListener`
Get the security level downgraded callback.

Specified by:
  `onSecurityLevelDowngraded` in interface `CallListener`

### onEncryptionChanged

public void onEncryptionChanged(Call call, boolean on, String authenticationToken)
Description copied from interface: `CallListener`
Get the encryption changed callback.

Specified by:
  `onEncryptionChanged` in interface `CallListener`

### onMediaEncryptionStatusChanged

public void onMediaEncryptionStatusChanged(Call call, MediaEncryptionStatus status)
Description copied from interface: `CallListener`
Get the media encryption status changed callback.

Specified by:
  `onMediaEncryptionStatusChanged` in interface `CallListener`

### onAuthenticationTokenVerified

public void onAuthenticationTokenVerified(Call call, boolean verified)
Description copied from interface: `CallListener`
Get the authentication token verified callback.

Specified by:
  `onAuthenticationTokenVerified` in interface `CallListener`

### onSendMasterKeyChanged

public void onSendMasterKeyChanged(Call call, String sendMasterKey)
Description copied from interface: `CallListener`
Get the send master key changed callback.

Specified by:
  `onSendMasterKeyChanged` in interface `CallListener`

### onReceiveMasterKeyChanged

public void onReceiveMasterKeyChanged(Call call, String receiveMasterKey)
Description copied from interface: `CallListener`
Get the receive master key changed callback.

Specified by:
  `onReceiveMasterKeyChanged` in interface `CallListener`

### onInfoMessageReceived

public void onInfoMessageReceived(Call call, InfoMessage message)
Description copied from interface: `CallListener`
Get the info message received callback.

Specified by:
  `onInfoMessageReceived` in interface `CallListener`

### onStateChanged

public void onStateChanged(Call call, Call.State state, String message)
Description copied from interface: `CallListener`
Get the state changed callback.

Specified by:
  `onStateChanged` in interface `CallListener`

### onStatsUpdated

public void onStatsUpdated(Call call, CallStats stats)
Description copied from interface: `CallListener`
Get the stats updated callback.

Specified by:
  `onStatsUpdated` in interface `CallListener`

### onTransferStateChanged

public void onTransferStateChanged(Call call, Call.State state)
Description copied from interface: `CallListener`
Get the transfer state changed callback.

Specified by:
  `onTransferStateChanged` in interface `CallListener`

### onReferRequested

public void onReferRequested(Call call, Address referTo)
Description copied from interface: `CallListener`
Get the refer requested callback.

Specified by:
  `onReferRequested` in interface `CallListener`

### onAckProcessing

public void onAckProcessing(Call call, Headers ack, boolean isReceived)
Description copied from interface: `CallListener`
Get the ACK processing callback.

Specified by:
  `onAckProcessing` in interface `CallListener`

### onTmmbrReceived

public void onTmmbrReceived(Call call, int streamIndex, int tmmbr)
Description copied from interface: `CallListener`
Get the TMMBR received callback.

Specified by:
  `onTmmbrReceived` in interface `CallListener`

### onSnapshotTaken

public void onSnapshotTaken(Call call, String filePath)
Description copied from interface: `CallListener`
Get the snapshot taken callback.

Specified by:
  `onSnapshotTaken` in interface `CallListener`

### onNextVideoFrameDecoded

public void onNextVideoFrameDecoded(Call call)
Description copied from interface: `CallListener`
Get the next video frame decoded callback.

Specified by:
  `onNextVideoFrameDecoded` in interface `CallListener`

### onCameraNotWorking

public void onCameraNotWorking(Call call, String cameraName)
Description copied from interface: `CallListener`
Get the camera not working callback.

Specified by:
  `onCameraNotWorking` in interface `CallListener`

### onVideoDisplayErrorOccurred

public void onVideoDisplayErrorOccurred(Call call, int errorCode)
Description copied from interface: `CallListener`
Get the callback that will be used to notify that there are errors from the
video rendering.
Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.

Specified by:
  `onVideoDisplayErrorOccurred` in interface `CallListener`

### onAudioDeviceChanged

public void onAudioDeviceChanged(Call call, AudioDevice audioDevice)
Description copied from interface: `CallListener`
Get the audio device changed callback.

Specified by:
  `onAudioDeviceChanged` in interface `CallListener`

### onRemoteRecording

public void onRemoteRecording(Call call, boolean recording)
Description copied from interface: `CallListener`
Get the call remote recording callback.

Specified by:
  `onRemoteRecording` in interface `CallListener`

### onBaudotDetected

public void onBaudotDetected(Call call, BaudotStandard standard)
Description copied from interface: `CallListener`
Get the Baudot detected callback.

Specified by:
  `onBaudotDetected` in interface `CallListener`

### onHeadsetAnswerCallRequested

public void onHeadsetAnswerCallRequested(Call call)
Description copied from interface: `CallListener`
Get the headset answer call requested callback.

Specified by:
  `onHeadsetAnswerCallRequested` in interface `CallListener`

### onHeadsetEndCallRequested

public void onHeadsetEndCallRequested(Call call)
Description copied from interface: `CallListener`
Get the headset end call requested callback.

Specified by:
  `onHeadsetEndCallRequested` in interface `CallListener`

### onHeadsetHoldCallRequested

public void onHeadsetHoldCallRequested(Call call)
Description copied from interface: `CallListener`
Get the headset hold call requested callback.

Specified by:
  `onHeadsetHoldCallRequested` in interface `CallListener`

### onHeadsetMicrophoneMuteToggled

public void onHeadsetMicrophoneMuteToggled(Call call, boolean mute)
Description copied from interface: `CallListener`
Get the headset microphone mute toggled callback.

Specified by:
  `onHeadsetMicrophoneMuteToggled` in interface `CallListener`

### onHeadsetRejectCallRequested

public void onHeadsetRejectCallRequested(Call call)
Description copied from interface: `CallListener`
Get the headset reject call requested callback.

Specified by:
  `onHeadsetRejectCallRequested` in interface `CallListener`

### onHeadsetResumeCallRequested

public void onHeadsetResumeCallRequested(Call call)
Description copied from interface: `CallListener`
Get the headset resume call requested callback.

Specified by:
  `onHeadsetResumeCallRequested` in interface `CallListener`